# [OmniOS-discuss] Postfix adding con files to sbin

Alex McWhirter alexmcwhirter at vantagetitle.com
Sat Jan 10 04:34:25 UTC 2015

- Previous message: [OmniOS-discuss] assertion failed for thread / omnios r12
- Next message: [OmniOS-discuss] sometimes hsfs causes panic
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    I’m compiling postfix 2.11.3 using the template build scripts with a few modifications. Postfix doesn’t use a configure script, but rather uses makefiles to compile. I’ve worked most of the kinks out, but for some reason it is adding configuration files to etc and sbin, and i can’t figure out why. It also seems that the binary files are built 32 bit, even with the -m64 flags. I tested the binary files using the file command.

    Here is the isaexec log.

    Making isaexec stub binaries
    --- bin
    ------ junk
    ------ postalias
    ------ postcat
    ------ postconf
    ------ postdrop
    ------ postfix
    ------ postkick
    ------ postlock
    ------ postlog
    ------ postmap
    ------ postmulti
    ------ postqueue
    ------ postsuper
    --- sbin
    ------ anvil
    ------ bounce
    ------ cleanup
    ------ discard
    ------ dnsblog
    ------ error
    ------ flush
    ------ lmtp
    ------ local
    ------ main.cf
    ------ master
    ------ master.cf
    ------ nqmgr
    ------ oqmgr
    ------ pickup
    ------ pipe
    ------ post-install
    ------ postfix-files
    ------ postfix-script
    ------ postfix-wrapper
    ------ postmulti-script
    ------ postscreen
    ------ proxymap
    ------ qmgr
    ------ qmqpd
    ------ scache
    ------ showq
    ------ smtp
    ------ smtpd
    ------ spawn
    ------ tlsmgr
    ------ tlsproxy
    ------ trivial-rewrite
    ------ verify
    ------ virtual

    You can see main.cf and master.cf in the sbin directory. Here is a copy of my build script.

    PROG=postfix

    # Load support functions
    . ../../lib/functions.sh

    VER=2.11.3
    VERHUMAN=$VER
    PKG=triadic/service/smtp/postfix
    SUMMARY="TODO"
    DESC="TODO"
    ARCH=""

    configure32() {
      ARCH=$ISAPART
      logmsg "--- configure (make makefiles)"
      logcmd $MAKE makefiles CCARGS='-DNO_NIS \
        -DDEF_COMMAND_DIR=\"/opt/triadic/sbin/i386\" \
        -DDEF_CONFIG_DIR=\"/opt/triadic/etc/postfix\" \
        -DDEF_DAEMON_DIR=\"/opt/triadic/usr/libexec/i386/postfix\" \
        -DDEF_DATA_DIR=\"/opt/triadic/var/postfix\" \
        -DDEF_MAILQ_PATH=\"/opt/triadic/bin/i386/mailq\" \
        -DDEF_MANPAGE_DIR=\"/opt/triadic/usr/share/i386/man\" \
        -DDEF_NEWALIAS_PATH=\"/opt/triadic/bin/i386/newaliases\" \
        -DDEF_QUEUE_DIR=\"/opt/triadic/var/spool/postfix\" \
        -DDEF_SENDMAIL_PATH=\"/opt/triadic/sbin/i386/sendmail\" \
        ' || logerr "Failed make makefiles command"
    }

    configure64() {
      ARCH=$ISAPART64
      logmsg "--- configure (make makefiles)"
      logcmd $MAKE makefiles CCARGS='-DNO_NIS \
        -DDEF_COMMAND_DIR=\"/opt/triadic/sbin/amd64\" \
        -DDEF_CONFIG_DIR=\"/opt/triadic/etc/postfix\" \
        -DDEF_DAEMON_DIR=\"/opt/triadic/usr/libexec/amd64/postfix\" \
        -DDEF_DATA_DIR=\"/opt/triadic/var/postfix\" \
        -DDEF_MAILQ_PATH=\"/opt/triadic/bin/amd64/mailq\" \
        -DDEF_MANPAGE_DIR=\"/opt/triadic/usr/share/amd64/man\" \
        -DDEF_NEWALIAS_PATH=\"/opt/triadic/bin/amd64/newaliases\" \
        -DDEF_QUEUE_DIR=\"/opt/triadic/var/spool/postfix\" \
        -DDEF_SENDMAIL_PATH=\"/opt/triadic/sbin/amd64/sendmail\" \
        ' || logerr "Failed make makefiles command"
    }

    make_clean() {
      logmsg "--- make clean"
      logcmd $MAKE distclean || \
      logcmd $MAKE clean
        logmsg "--- *** WARNING *** make (dist)clean Failed"
    }

    make_install() {
      logmsg "--- make install"
      logcmd /bin/sh postfix-install -non-interactive \
        install_root=$DESTDIR \
        config_directory=$PREFIX/etc/postfix \
        data_directory=$PREFIX/var/postfix \
        daemon_directory=$PREFIX/sbin/$ARCH \
        command_directory=$PREFIX/bin/$ARCH \
        queue_directory=$PREFIX/var/spool/postfix \
        sendmail_path=$PREFIX/bin/$ARCH \
        newaliases_path=$PREFIX/bin/$ARCH \
        mailq_path=$PREFIX/bin/$ARCH \
        manpage_directory=$PREFIX/usr/share/$ARCH/man \
        readme_directory=\"no\" \
        html_directory=\"no\" \
        || logerr "make install failed"
    }

    init
    download_source $PROG $PROG $VER
    patch_source
    prep_build
    build
    make_isa_stub
    #make_package
    #clean_up

    # Vim hints
    # vim:ts=4:sw=4:et:

    As far as i can tell i have all configuration options defined, so I’m not really sure why I’m getting these results.
    -------------- next part --------------
    An HTML attachment was scrubbed...
    URL: <http://lists.omniti.com/pipermail/omnios-discuss/attachments/20150109/6294f528/attachment-0001.html>

- Previous message: [OmniOS-discuss] assertion failed for thread / omnios r12
- Next message: [OmniOS-discuss] sometimes hsfs causes panic
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list